View Issue Details

IDProjectCategoryView StatusLast Update
0003304NoesisGUIUnity3Dpublic2024-06-07 20:29
Reportercramos Assigned Tosfernandez  
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Product Version3.2.3 
Target Version3.2.4Fixed in Version3.2.4 
Summary0003304: Loading files using "pack://application:,,," is broken in latest version
DescriptionOnce we updated to Noesis 3.2.3 the files that we load using "pack://application:,,," stopped working.

You can test this with the test game NorthGame (https://github.com/Noesis/Tutorials/tree/3ed9753b33b504deb7284f39876a1145b9a227e4/Samples/NorthGame)

If you use Noesis 3.2.2 it will load the images that are loaded in code like this: "pack://application:,,,/Assets/NoesisGUI/Samples/NorthGame/Images/ClassHumanKnight.png"

But if you use Noesis 3.2.3 you will get an error instead.
Steps To ReproduceRun the NorthGame project with Noesis 3.2.3 and press the PLAY button.
TagsNo tags attached.
PlatformAny

Activities

cramos

cramos

2024-05-22 08:45

reporter   ~0009551

Hi, where you able to reproduce this?
sfernandez

sfernandez

2024-06-07 20:29

manager   ~0009674

Yes, we reproduced it and solved in changeset 14068

Issue History

Date Modified Username Field Change
2024-05-07 17:22 cramos New Issue
2024-05-07 18:35 sfernandez Assigned To => sfernandez
2024-05-07 18:35 sfernandez Status new => assigned
2024-05-07 18:35 sfernandez Target Version => 3.2.4
2024-05-22 08:45 cramos Note Added: 0009551
2024-06-07 20:29 sfernandez Status assigned => resolved
2024-06-07 20:29 sfernandez Resolution open => fixed
2024-06-07 20:29 sfernandez Fixed in Version => 3.2.4
2024-06-07 20:29 sfernandez Note Added: 0009674